﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000 (1 yr) Timebase Acc VER IEEE /LFCTR
DATE:                  2010-11-29 10:32:58
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       103
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70000B, MSO 70000, DPO/DSA 70000
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek DPO70000 Channel Selection IEEE
#        Sub Initialize /LFCTR
#        Sub Reset /LFCTR
#        Sub Measure /LFCTR
#        Sub Get Accuracy /LFCTR
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST

  1.002  IF           0
  1.003  IEEE         [@LFCTR]
  1.004  ENDIF

  1.005  MATH         FreqRef        = INI("startup", "FreqRefDevName")
  1.006  MATH         FreqRefAccMode = INI("startup", "FreqRefAccMode")

  1.007  CALL         Sub Tek DPO70000 Channel Selection IEEE
  1.008  CALL         Sub Initialize /LFCTR
  1.009  CALL         Sub Reset /LFCTR

  1.010  RSLT         =
  1.011  HEAD         {TIMEBASE ACCURACY TEST}
  1.012  HEAD         -2 Sine 10 MHz
  1.013  MATH         @LFCTR_Func = "FreqCh1"
  1.014  MATH         @LFCTR_MeasTime = "1s"

  1.015  IF           ZCMP(FreqRef, @LFCTR_DevName)
  1.016  MATH         @LFCTR_ROSC = "Int"
  1.017  ELSE
  1.018  MATH         @LFCTR_ROSC = "Ext"
  1.019  ENDIF

  1.020  TARGET       -p
  1.021  DISP         Make the following connection:
  1.021  DISP
  1.021  DISP         [32]   DUT                    to    [V @LFCTR_DevName]
  1.021  DISP         [32]   REFERENCE OUTPUT   <-------> [V @LFCTR_Ch1]
  1.022  TARGET       -m
  1.023  CALL         Sub Measure /LFCTR
  1.024  MATH         L[1] = ACCV(FreqRef, FreqRefAccMode, MEM)
# Normalize frequency reference accuracy and convert to kHz.
  1.025  MATH         L[1] = (L[1] / CONF(FreqRef)) / 1E+3
  1.026  MATH         @LFCTR_Meas = MEM; @LFCTR_Ampl = "1 V"
  1.027  CALL         Sub Get Accuracy /LFCTR
  1.028  MATH         L[2] = (@LFCTR_Acc / CONF(@LFCTR_DevName)) / 1E+3
  1.029  MATH         L[3] = RSS_L(1, 2) * 2
  1.030  MATH         MEM = MEM / 1E+3
  1.031  ACC    10000 kHz            L3U
  1.032  MEMCX        10000.000kHz   0.025U

  2.001  DISP         Disconnect all connection to DUT.
  2.002  HEAD         -2
  2.003  HEAD
  2.004  END



